# Interface ResultHandler<T>

public interface ResultHandler<T>
Interface defining callbacks for receiving asynchronously an generated value. All methods of this interface are to be called on the Event Dispatch Thread.

Since:
  20 Apr 2015
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isActive()`
Indicates whether this handler is still permitted to affect the GUI.
`void`
`showError(IOException error)`
Updates GUI with an error obtained while trying to acquire result.
`void`
`showResult(T result)`
Updates GUI with the acquired result.
`void`
`showWaiting()`
Updates GUI to indicate the result is in the process of being acquired.

## Method Details

### isActive

boolean isActive()
Indicates whether this handler is still permitted to affect the GUI. If it returns false, the other methods will have no effect. Called on EDT.

Returns:
  true iff handler is permitted to affect GUI

### showWaiting

void showWaiting()
Updates GUI to indicate the result is in the process of being acquired. Called on EDT. Ignored if not isActive.

### showResult

void showResult(T result)
Updates GUI with the acquired result. Called on EDT. Ignored if not isActive.

### showError

void showError(IOException error)
Updates GUI with an error obtained while trying to acquire result. Called on EDT. Ignored if not isActive.